Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.publish.maven
[Java] Interface MavenArtifactSet

    java.lang.Iterable
      org.gradle.api.publish.maven.MavenArtifactSet
          org.gradle.api.DomainObjectCollection
              java.util.Collection
                  org.gradle.api.DomainObjectSet

All Superinterfaces:
  Iterable, DomainObjectCollection, Collection, DomainObjectSet

    @Incubating
    public interface MavenArtifactSet
    extends DomainObjectSet

A Collection of MavenArtifacts to be included in a MavenPublication. Being a DomainObjectSet, a `MavenArtifactSet` provides convenient methods for querying, filtering, and applying actions to the set of MavenArtifacts.

     apply plugin: 'maven-publish'

     def publication = publishing.publications.create("name", MavenPublication)
     def artifacts = publication.artifacts

     artifacts.matching({
         it.classifier == "classy"
     }).all({
         it.extension = "ext"
     })

See Also:
  DomainObjectSet

Method Summary
`MavenArtifact` | `artifact(Object source)` Creates and adds a MavenArtifact to the set.
`MavenArtifact` | `artifact(Object source, Action config)` Creates and adds a MavenArtifact to the set, which is configured by the associated action.

Methods inherited from interface DomainObjectSet
findAll, matching, matching, withType

Methods inherited from interface DomainObjectCollection
all, all, findAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Method Detail

### artifact

    public MavenArtifact artifact(Object source)

  Creates and adds a MavenArtifact to the set. The semantics of this method are the same as MavenPublication#artifact(Object)#artifact(Object).
  Parameters:
    `source` - The source of the artifact content.

### artifact

    public MavenArtifact artifact(Object source, Action config)

  Creates and adds a MavenArtifact to the set, which is configured by the associated action. The semantics of this method are the same as MavenPublication#artifact(Object, Action)#artifact(Object, Action).
  Parameters:
    `source` - The source of the artifact.
    `config` - An action or closure to configure the values of the constructed MavenArtifact.

Gradle API 1.10